#include <bits/stdc++.h>
#include <iostream>
using namespace std;
typedef long long ll;
void izlaz(int x,int &s)
{
  if (x==1) s+=1;
  if (x==2) s+=1;
  if (x==3) s+=2;
  if (x==4) s+=2;
  if (x==5) s+=1;
  if (x==6) s+=2;
  if (x==7) s+=2;
  if (x==8) s+=3;
  if (x==9) s+=3;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll v;
    cin >> v;
    int s;
    s=0;
    int x;
    while (v!=0)
    {
      x=v % 10;
      v=v/10;
      izlaz(x,s);
    }
    cout <<s;
    return 0;
}